# epson 1200U woes

From: Aaron Krowne (akrowne@vt.edu)
Date: Fri Apr 14 2000 - 00:22:37 PDT

- Next message: Michael Zapf: "Gamma correction for HP"
  - Previous message: Robin Kirkham: "CanoScan 300 and sane-1.0.{1,2}"
  - Next in thread: Platzer Christian: "Re: epson 1200U woes"
  - Reply: Platzer Christian: "Re: epson 1200U woes"
  - Reply: Karl Heinz Kremer: "Re: epson 1200U woes"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  Hi there. I've been working with Karl Kremer for a few days and we're
  stuck. I've got everything seemingly set up right with the kernel and
  USB and sane. I've got the kernel version 2.2.14 with the 2.3.39 USB
  backport, I've got sane-1.0.2 and the 2000/03/27 epson backend (for
  sure). Anyways after turning debug info on and doing a scanimage
  --list-devices, i get nothing. For a scanimage --help -d epson i get :

  ------------------(cut)-------------------

  >/usr/local/bin/scanimage --help -d epson
  Usage: scanimage [OPTION]...

  Start image acquisition on a scanner device and write PNM image data to
  standard output.

  -b, --batch=FORMAT working in batch mode
  -d, --device-name=DEVICE use a given scanner device
  -h, --help display this help message and exit
  -L, --list-devices show available scanner devices
  -T, --test test backend thoroughly
  -v, --verbose give even more status messages
  -V, --version print version information
  [sanei_init_debug]: Setting debug level of epson to 255.
  [epson] sane_init: sane 1.0.2
  [epson] sane_init, >/dev/usbscanner<
  [epson] sane_init, >/dev/usbscanner<
  [epson] Version 0.1.21 Date 27-Mar-2000
  [epson] attach: opening /dev/usbscanner
  [epson] attach: sending INQUIRY
  [epson] attach: inquiry failed: Error during device I/O
  scanimage: open of device epson failed: Invalid argument
  Type ``scanimage --help -d DEVICE'' to get list of all options for
  DEVICE.

  List of available devices:

  ------------------(cut)-------------------

  And that's it.

  Here's my /proc/dev/bus/usb/device :

  ------------------(cut)-------------------
  T: Bus=00 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=12 MxCh= 2
  B: Alloc= 17/900 us ( 2%), #Int= 1, #Iso= 0
  D: Ver= 1.00 Cls=09(hub ) Sub=00 Prot=00 MxPS= 8 #Cfgs= 1
  P: Vendor=0000 ProdID=0000 Rev= 0.00
  C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr= 0mA
  I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub
  E: Ad=81(I) Atr=03(Int.) MxPS= 8 Ivl=255ms
  T: Bus=00 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#= 2 Spd=12 MxCh= 0
  D: Ver= 1.00 Cls=ff(vend.) Sub=ff Prot=ff MxPS=64 #Cfgs= 1
  P: Vendor=04b8 ProdID=0104 Rev= 1.03
  S: Manufacturer=EPSON
  S: Product=Perfection1200
  C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr= 2mA
  I: If#= 0 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=usbscanner
  E: Ad=81(I) Atr=02(Bulk) MxPS= 64 Ivl= 0ms
  E: Ad=02(O) Atr=02(Bulk) MxPS= 64 Ivl= 0ms
  ------------------(cut)-------------------

  I have the scanner module loaded with the right params.

  Any ideas? Any more details I can post to help debug this?

  Thanks.

  Aaron Krowne

      --
      Source code, list archive, and docs: http://www.mostang.com/sane/
      To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

  - Next message: Michael Zapf: "Gamma correction for HP"
  - Previous message: Robin Kirkham: "CanoScan 300 and sane-1.0.{1,2}"
  - Next in thread: Platzer Christian: "Re: epson 1200U woes"
  - Reply: Platzer Christian: "Re: epson 1200U woes"
  - Reply: Karl Heinz Kremer: "Re: epson 1200U woes"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  This archive was generated by hypermail 2b29 : Fri Apr 14 2000 - 00:23:53 PDT